Announcement

Collapse
No announcement yet.

1.7.x/10.9 Mac pkg

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • 1.7.x/10.9 Mac pkg

    Is there any chance of getting a 1.7.x/10.9 pkg? Or, is there a way to disable the 1.7 installer's OS version check?

    A colleague and I have both upgraded to Mac OS X 10.9. My colleague already had the Subversion-Client-1.7.13_10.8.x.pkg installed prior to upgrading, whereas I did not. The 1.7 pkg will not install in 10.9. We need 1.7 with javahl for the project we're on, and my attempts at using HomeBrew, and compiling from source, have both led me down rat-holes that I want to abort. The 1.7/10.8 pkg provided by wandisco appears to work fine in the 10.9 environment after that mac that was upgraded, but the installer prevents the 1.7/10.8 pkg from installing in 10.9, and there is no 1.7/10.9 pkg available.

    TIA

  • #2
    Thanks to cplock, who contacted me through email.

    With his help, I was able to work around this by using the following script, which unpacks the existing 1.7.13 pkg, runs its preinstall script, moves the files into place, and then runs the postinstall script:


    Code:
    #!/bin/sh -x
    
    PKG_NAME=Subversion-Client-1.7.13_10.8.x.pkg
    
    pkgutil --expand ${PKG_NAME} /tmp/${PKG_NAME}
    /tmp/${PKG_NAME}/subversion.pkg/Scripts/preinstall
    pushd /tmp/${PKG_NAME}/subversion.pkg
    tar xf Payload
    sudo mv opt/subversion /opt
    popd
    /tmp/${PKG_NAME}/subversion.pkg/Scripts/postinstall
    rm -rf /tmp/${PKG_NAME}

    Comment


    • #3
      The 1.7 pkg will not install in 10.9. We need 1.7 with javahl for the project we're on, and my attempts at using HomeBrew, and compiling from source


      ______________
      NOOR

      Comment

      Working...
      X